[FFmpeg-devel] Need Help! Pls

Bogdan Pahomi eu_bb
Wed Apr 16 10:41:18 CEST 2008

    Hi, this is my first post... first of all, i'm sorry about my english :(.
Well, the problem that I have sounds like this: I have to made a video player for my PhD theses (under linux, openSuse 10.3, using ffmpeg libs, SDL, QT4... ), everything worked fine, when I used ffmpeg-, and ffmpeg-devel0.4.9.12153 ...  but I made a mistake when I installed VLC. I update my ffmpeg to and also the ffmpeg-devel to libffmpeg-devel-, and now I get some errors:

undefined reference to `sws_scale'
undefined reference to `sws_getContext' 

I didn't get these errors before the update. I compile my project with "-lSDL -lSDL_image -lavutil -lavformat -lavcodec -lz" options for ffmpeg and SDL , and I use 
extern "C"
#include "libavcodec/avcodec.h"
#include "libavformat/avformat.h"
#include "libswscale/swscale.h"
for my includes.

Now I have installed on my system : ffmpeg, libffmpeg0 and libffmpeg-devel, all are at the 0.4.8-12823 version. If anyone have an ideea about how can i resolve these errors.. please tell me. :)

PS. I had ffmpeg. and ffmpeg-devel0.4.9.12153 downloaded from videolan site, but now I can't find them anymore.


Be a better friend, newshound, and know-it-all with Yahoo! Mobile.  Try it now.

More information about the ffmpeg-devel mailing list